[Ci-users] DNS resolution issues in OCP

Jonathan Lebon jlebon at redhat.com
Thu Sep 27 14:56:16 UTC 2018


Anyone else encountering DNS resolution issues?

Seeing this coming out of one of our apps:

```
Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/urllib3/connection.py", line
141, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
  File "/usr/lib/python3.5/site-packages/urllib3/util/connection.py",
line 60, in create_connection
    for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
  File "/usr/lib64/python3.5/socket.py", line 733, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Temporary failure in name resolution
During handling of the above exception, another exception occurred:
...
Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/requests/adapters.py", line
440, in send
    timeout=timeout
  File "/usr/lib/python3.5/site-packages/urllib3/connectionpool.py",
line 639, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/usr/lib/python3.5/site-packages/urllib3/util/retry.py", line
388, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError:
HTTPSConnectionPool(host='api.github.com', port=443): Max retries
exceeded with url: /user (Caused by
NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object
at 0x7febf8618b00>: Failed to establish a new connection: [Errno -3]
Temporary failure in name resolution',))
```

And indeed, running a `getent ahostsv4 api.github.com` returns rc=2 in
a running container. Even `ci.centos.org` is not resolving.



More information about the Ci-users mailing list